Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.core.jmx
Class TriggerSupport

    java.lang.Object
      org.quartz.core.jmx.TriggerSupport

    public class TriggerSupport

extends Object

Constructor Summary
`TriggerSupport()`

Method Summary
`String[]` | `getIndexNames()`
`static String[]` | `getItemDescriptions()`
`static String[]` | `getItemNames()`
`static OpenType[]` | `getItemTypes()`
`static void` | `initializeTrigger(MutableTrigger trigger, CompositeData cData)`
`static void` | `initializeTrigger(MutableTrigger trigger, Map<String,Object> attrMap)`
`static OperableTrigger` | `newTrigger(CompositeData cData)`
`static OperableTrigger` | `newTrigger(Map<String,Object> attrMap)`
`static CompositeData` | `toCompositeData(Trigger trigger)`
`static List<CompositeData>` | `toCompositeList(List<? extends Trigger> triggers)`
`static TabularData` | `toTabularData(List<? extends Trigger> triggers)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TriggerSupport

    public TriggerSupport()

Method Detail

### getItemNames

    public static String[] getItemNames()

### getItemDescriptions

    public static String[] getItemDescriptions()

### getItemTypes

    public static OpenType[] getItemTypes()

### getIndexNames

    public String[] getIndexNames()

### toCompositeData

    public static CompositeData toCompositeData(Trigger trigger)

### toTabularData

    public static TabularData toTabularData(List<? extends Trigger> triggers)

### toCompositeList

    public static List<CompositeData> toCompositeList(List<? extends Trigger> triggers)

### initializeTrigger

    public static void initializeTrigger(MutableTrigger trigger,
                                         CompositeData cData)

### initializeTrigger

    public static void initializeTrigger(MutableTrigger trigger,
                                         Map<String,Object> attrMap)

### newTrigger

    public static OperableTrigger newTrigger(CompositeData cData)
                                      throws ParseException

  Throws:
    `ParseException`

### newTrigger

    public static OperableTrigger newTrigger(Map<String,Object> attrMap)
                                      throws ParseException

  Throws:
    `ParseException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2013, Terracotta, Inc.